package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;


/**
 * 【请填写功能名称】对象 t_u_interfaceinfo
 *
 * @author lei
 * @date 2021-07-01
 */
@Getter
@Setter
public class TUInterfaceinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 状态 */
    @Excel(name = "编码")
    private String code;

    /** 秘钥 */
    private String secretKey;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 删除时间 */
    private String delFlag;

    /** 接口数据条数 */
//    private String datanum;

    /** 接口名称对应表名 */
    private String tableName;

    /** 数据量刷新时间 */
    private Date refreshTime;

    /** 是否需要刷新数据量（1.需要，2.不需要） */
    private String needRefresh;

    /** 接口名称 */
    @Excel(name = "接口名称")
    private String interfaceName;

    /** 信息项 */
    @Excel(name = "信息项")
    private String infoItem;

    /** 使用场景描述 */
    @Excel(name = "使用场景描述")
    private String usageScenarios;

    /** 共享方式 */
    @Excel(name = "共享方式")
    private String shareType;

    /** 共享方式 */
    private String shareTypeDict;//eg:share_type_1

    /** 请求方式 */
    @Excel(name = "请求方式")
    private String interfaceType;

    /** 环境 */
    @Excel(name = "环境")
    private String env;

    /** 签名服务地址 */
    @Excel(name = "签名服务地址")
    private String signServeraddress;

    /** 接口地址 */
    @Excel(name = "接口地址")
    private String interfaceAddress;

    /** IAM方式 */
    @Excel(name = "IAM方式")
    private String typeIam;

    /** AK/SK方式 */
    @Excel(name = "AK/SK方式")
    private String typeAksk;

    @Excel(name = "调用成功次数")
    private Long callsuccnum;

    @Excel(name = "调用失败次数")
    private Long callfailnum;

    /** 日志数量 */
    private Long logCount;

    /** 数量 */
    private String count;

    /** 占比 */
    private String percent;

    /** 所属部门ID **/
    private String deptId;

    /** 所属部门NAME **/
    private String deptName;

    private String shareType1;
    private String shareType2;
    private String shareType3;
    private String shareType4;

    public String getShareType1() {
        return shareType1;
    }

    public void setShareType1(String shareType1) {
        this.shareType1 = shareType1;
    }

    public String getShareType2() {
        return shareType2;
    }

    public void setShareType2(String shareType2) {
        this.shareType2 = shareType2;
    }

    public String getShareType3() {
        return shareType3;
    }

    public void setShareType3(String shareType3) {
        this.shareType3 = shareType3;
    }

    public String getShareType4() {
        return shareType4;
    }

    public void setShareType4(String shareType4) {
        this.shareType4 = shareType4;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getPercent() {
        return percent;
    }

    public void setPercent(String percent) {
        this.percent = percent;
    }

    public Long getCallsuccnum() {
        return callsuccnum;
    }

    public void setCallsuccnum(Long callsuccnum) {
        this.callsuccnum = callsuccnum;
    }

    public Long getCallfailnum() {
        return callfailnum;
    }

    public void setCallfailnum(Long callfailnum) {
        this.callfailnum = callfailnum;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setInterfaceName(String interfaceName)
    {
        this.interfaceName = interfaceName;
    }

    public String getInterfaceName()
    {
        return interfaceName;
    }
    public void setInfoItem(String infoItem)
    {
        this.infoItem = infoItem;
    }

    public String getInfoItem()
    {
        return infoItem;
    }
    public void setUsageScenarios(String usageScenarios)
    {
        this.usageScenarios = usageScenarios;
    }

    public String getUsageScenarios()
    {
        return usageScenarios;
    }
    public void setShareType(String shareType)
    {
        this.shareType = shareType;
    }

    public String getShareType()
    {
        return shareType;
    }
    public void setInterfaceType(String interfaceType)
    {
        this.interfaceType = interfaceType;
    }

    public String getInterfaceType()
    {
        return interfaceType;
    }
    public void setEnv(String env)
    {
        this.env = env;
    }

    public String getEnv()
    {
        return env;
    }
    public void setSignServeraddress(String signServeraddress)
    {
        this.signServeraddress = signServeraddress;
    }

    public String getSignServeraddress()
    {
        return signServeraddress;
    }
    public void setInterfaceAddress(String interfaceAddress)
    {
        this.interfaceAddress = interfaceAddress;
    }

    public String getInterfaceAddress()
    {
        return interfaceAddress;
    }
    public void setTypeIam(String typeIam)
    {
        this.typeIam = typeIam;
    }

    public String getTypeIam()
    {
        return typeIam;
    }
    public void setTypeAksk(String typeAksk)
    {
        this.typeAksk = typeAksk;
    }

    public String getTypeAksk()
    {
        return typeAksk;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("interfaceName", getInterfaceName())
            .append("infoItem", getInfoItem())
            .append("usageScenarios", getUsageScenarios())
            .append("shareType", getShareType())
            .append("interfaceType", getInterfaceType())
            .append("env", getEnv())
            .append("signServeraddress", getSignServeraddress())
            .append("interfaceAddress", getInterfaceAddress())
            .append("typeIam", getTypeIam())
            .append("typeAksk", getTypeAksk())
                .append("code", getCode())
            .toString();
    }
}
